package com.gic.enterprise.qo;

import com.gic.enterprise.dto.ProjectItemDTO;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-09-18 9:23
 */
public class ProjectItemQO extends PageQO {

    private static final long serialVersionUID = 1218293562538399805L;

    public interface SaveValid{
    }

    public interface DelValid{

    }

    public interface ListValid{

    }

    /**
     *
     */
    @NotNull(message = "审批项id不能为空", groups = {DelValid.class})
    private Integer projectItemId;

    /**
     * 审批项名称
     */
    @org.hibernate.validator.constraints.NotBlank(message = "审批项名称不能为空", groups = {SaveValid.class})
    private String projectItemName;

    @NotBlank(message = "审批项code不能为空", groups = ProjectItemDTO.SaveValid.class)
    private String projectItemCode;
    /**
     * 审批项描述
     */
    @org.hibernate.validator.constraints.NotBlank(message = "审批项描述不能为空", groups = {SaveValid.class})
    private String projectItemDesc;

    /**
     * 项目id
     */
    @NotNull(message = "项目id不能为空", groups = {SaveValid.class, ListValid.class})
    private Integer projectId;

    /**
     * 回调地址
     */
    @org.hibernate.validator.constraints.NotBlank(message = "回调地址不能为空", groups = {SaveValid.class})
    private String callbackUrl;

    /**
     * 使用状态  1:可用  0：禁用
     */
    @NotNull(message = "使用状态不能为空", groups = {SaveValid.class})
    private Integer useStatus;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    private String search;

    @NotBlank(message = "是否为平台项目不能为空", groups = ProjectItemDTO.SaveValid.class)
    private Integer isPlatform;

    /**
     * 审核截止时长  单位：天
     */
    @NotNull(message = "审核截止时间不能为空", groups = ProjectItemDTO.SaveValid.class)
    private Integer auditExpireDuration;

    /**
     * 审批模板类型   0：普通审批项， 1：风险模式审批， 2：导出完整数据
     */
    @NotNull(message = "审批模板类型不能为空", groups = ProjectItemDTO.SaveValid.class)
    private Integer auditTemplateType;

    private List<Integer> projectItemList;

    public Integer getProjectItemId() {
        return projectItemId;
    }

    public void setProjectItemId(Integer projectItemId) {
        this.projectItemId = projectItemId;
    }

    public String getProjectItemName() {
        return projectItemName;
    }

    public void setProjectItemName(String projectItemName) {
        this.projectItemName = projectItemName;
    }

    public String getProjectItemCode() {
        return projectItemCode;
    }

    public void setProjectItemCode(String projectItemCode) {
        this.projectItemCode = projectItemCode;
    }

    public String getProjectItemDesc() {
        return projectItemDesc;
    }

    public void setProjectItemDesc(String projectItemDesc) {
        this.projectItemDesc = projectItemDesc;
    }

    public Integer getProjectId() {
        return projectId;
    }

    public void setProjectId(Integer projectId) {
        this.projectId = projectId;
    }

    public String getCallbackUrl() {
        return callbackUrl;
    }

    public void setCallbackUrl(String callbackUrl) {
        this.callbackUrl = callbackUrl;
    }

    public Integer getUseStatus() {
        return useStatus;
    }

    public void setUseStatus(Integer useStatus) {
        this.useStatus = useStatus;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getSearch() {
        return search;
    }

    public void setSearch(String search) {
        this.search = search;
    }

    public Integer getIsPlatform() {
        return isPlatform;
    }

    public void setIsPlatform(Integer isPlatform) {
        this.isPlatform = isPlatform;
    }

    public Integer getAuditExpireDuration() {
        return auditExpireDuration;
    }

    public void setAuditExpireDuration(Integer auditExpireDuration) {
        this.auditExpireDuration = auditExpireDuration;
    }

    public Integer getAuditTemplateType() {
        return auditTemplateType;
    }

    public void setAuditTemplateType(Integer auditTemplateType) {
        this.auditTemplateType = auditTemplateType;
    }

    public List<Integer> getProjectItemList() {
        return projectItemList;
    }

    public void setProjectItemList(List<Integer> projectItemList) {
        this.projectItemList = projectItemList;
    }
}
