package com.gic.enterprise.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.WmMemberCardConfigDTO;
import com.gic.enterprise.dto.WmOrderConfigDTO;
import com.gic.enterprise.dto.WmStoreDTO;

import java.util.List;

/**
 * 微盟商城店铺
 * @ClassName: WmStoreApiService 
 * @Description:  
 * @author guojuxing 
 * @date 2020/4/13 10:47 AM 
 */
public interface WmStoreApiService {

    /**
     * 新增
     * @Title: saveWmStore 
     * @Description:
     * @author guojuxing
     * @param wmStoreDTO 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Integer> 
     */
    ServiceResponse<Integer> saveWmStore(WmStoreDTO wmStoreDTO);

    /**
     * 修改
     * @Title: modifyWmStore 
     * @Description:
     * @author guojuxing
     * @param wmStoreDTO 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
     */
    ServiceResponse<Void> modifyWmStore(WmStoreDTO wmStoreDTO);

    /**
     * 微盟商城店铺授权
     * @Title: authWmStore 
     * @Description:
     * @author guojuxing
     * @param wmMallStoreId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.String> 店铺名称
     */
    ServiceResponse<String> authWmStore(Integer wmMallStoreId);

    ServiceResponse<List<WmStoreDTO>> listWmStore(Integer enterpriseId);

    ServiceResponse<WmStoreDTO> getWmStoreByWmMallStoreId(Integer wmMallStoreId);

    /**
     * 新增会员卡配置
     * @Title: saveOrUpdateWmMemberCardConfig 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Integer> 
     */
    ServiceResponse<Integer> saveOrUpdateWmMemberCardConfig(WmMemberCardConfigDTO dto);

    /**
     * 根据微盟主账号查询会员卡配置
     * @Title: getWmMemberCardConfigByWmMainAccount 
     * @Description:
     * @author guojuxing
     * @param wmMainAccount 
     * @return  com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.WmMemberCardConfigDTO> 
     */
    ServiceResponse<WmMemberCardConfigDTO> getWmMemberCardConfigByWmMainAccount(String wmMainAccount);

    /**
     * 订单配置
     * @Title: saveOrUpdateWmOrderConfig 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Integer> 
     */
    ServiceResponse<Integer> saveOrUpdateWmOrderConfig(WmOrderConfigDTO dto);

    /**
     * 根据微盟主账号查询订单配置
     * @Title: getWmOrderConfigByWmMainAccount 
     * @Description:
     * @author guojuxing
     * @param wmMainAccount 
     * @return  com.gic.api.base.commons.ServiceResponse<com.gic.enterprise.dto.WmOrderConfigDTO> 
     */
    ServiceResponse<WmOrderConfigDTO> getWmOrderConfigByWmMainAccount(String wmMainAccount);
}
