package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabBillingRechargeRecord;
import com.gic.enterprise.qo.RechargeRecordQO;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

public interface TabBillingRechargeRecordMapper {
    /**
     * 根据主键删除
     *
     * @param rechargeRecordId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer rechargeRecordId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabBillingRechargeRecord record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabBillingRechargeRecord record);

    /**
     * 根据主键查询
     *
     * @param rechargeRecordId 主键
     * @return 实体对象
     */
    TabBillingRechargeRecord selectByPrimaryKey(Integer rechargeRecordId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabBillingRechargeRecord record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabBillingRechargeRecord record);

    Page<TabBillingRechargeRecord> listRechargeRecord(RechargeRecordQO rechargeRecordQO);

    void updateBySerialNumber(@Param("orderSerialNumber") String orderSerialNumber, @Param("totalFeePaid") Double totalFeePaid, @Param("auditStatus") Integer auditStatus, @Param("timeEnd") String timeEnd);

    TabBillingRechargeRecord getAuditingRechargeRecord(@Param("enterpriseId") Integer enterpriseId);

    TabBillingRechargeRecord getRechargeRecordBySerialNumber(@Param("serialNumber") String serialNumber);


}