package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.dto.ProjectItemDTO;
import com.gic.enterprise.entity.TabProjectItem;
import com.gic.enterprise.qo.ProjectItemQO;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface TabProjectItemMapper {
    /**
     * 根据主键删除
     *
     * @param projectItemId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer projectItemId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabProjectItem record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabProjectItem record);

    /**
     * 根据主键查询
     *
     * @param projectItemId 主键
     * @return 实体对象
     */
    TabProjectItem selectByPrimaryKey(Integer projectItemId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabProjectItem record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabProjectItem record);

    TabProjectItem getFirstProjectItem(ProjectItemDTO projectItemDTO);

    Page<TabProjectItem> listProjectItem(ProjectItemQO projectItemQO);

    List<Map<String,Object>> getProjectItemCountByProjectIds(@Param("ids") List<Integer> projectIds, @Param("useStatus") Integer useStatus);

    TabProjectItem getByProjectItemCode(@Param("projectItemCode") String projectItemCode);
}