package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.dto.ProjectDTO;
import com.gic.enterprise.entity.TabProject;
import com.github.pagehelper.Page;

import java.util.List;

public interface TabProjectMapper {
    /**
     * 根据主键删除
     *
     * @param projectId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer projectId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabProject record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabProject record);

    /**
     * 根据主键查询
     *
     * @param projectId 主键
     * @return 实体对象
     */
    TabProject selectByPrimaryKey(Integer projectId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabProject record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabProject record);

    TabProject getFirstProject(ProjectDTO projectDTO);

    Page<TabProject> listProject(ProjectDTO projectDTO);
}