package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabPushUserMessage;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabPushUserMessageMapper {
    /**
     * 根据主键删除
     *
     * @param id 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabPushUserMessage record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabPushUserMessage record);

    /**
     * 根据主键查询
     *
     * @param id 主键
     * @return 实体对象
     */
    TabPushUserMessage selectByPrimaryKey(Integer id);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabPushUserMessage record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabPushUserMessage record);

    int recallMessage(@Param("messageId") Integer messageId);

    List<Integer> totalUserMessage(@Param("userId") Integer userId,
                                   @Param("status") Integer status);

    int readAll(@Param("userId") Integer userId);

    int readMessage(@Param("messageId") Integer messageId,
                    @Param("userId") Integer userId);
}