package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabWmOrderConfig;

public interface TabWmOrderConfigMapper {
    /**
     * 根据主键删除
     *
     * @param orderConfigId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer orderConfigId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabWmOrderConfig record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabWmOrderConfig record);

    /**
     * 根据主键查询
     *
     * @param orderConfigId 主键
     * @return 实体对象
     */
    TabWmOrderConfig selectByPrimaryKey(Integer orderConfigId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabWmOrderConfig record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabWmOrderConfig record);

    TabWmOrderConfig getByWmMainAccount(String wmMainAccount);
}