package com.gic.enterprise.service.impl;

import com.gic.commons.util.GlobalInfo;
import com.gic.enterprise.dao.mapper.TabProjectItemMapper;
import com.gic.enterprise.dao.mapper.TabProjectMapper;
import com.gic.enterprise.dto.ProjectDTO;
import com.gic.enterprise.entity.TabProject;
import com.gic.enterprise.entity.TabProjectItem;
import com.gic.enterprise.service.ProjectService;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * 
 * @ClassName: ProjectServiceImpl
 * @Description:  
 * @author zhiwj
 * @date 2019-09-17 9:49
 */
@Service
public class ProjectServiceImpl implements ProjectService {

    @Autowired
    private TabProjectMapper tabProjectMapper;
    @Autowired
    private TabProjectItemMapper tabProjectItemMapper;

    @Override
    public Integer save(ProjectDTO copy) {
        TabProject tabProject = new TabProject();
        tabProject.setProjectName(copy.getProjectName());
        tabProject.setStatus(GlobalInfo.DATA_STATUS_NORMAL);
        tabProject.setCreateTime(new Date());
        tabProjectMapper.insertSelective(tabProject);
        return tabProject.getProjectId();
    }

    @Override
    public Integer update(ProjectDTO copy) {
        TabProject tabProject = new TabProject();
        tabProject.setProjectId(copy.getProjectId());
        tabProject.setProjectName(copy.getProjectName());
        return tabProjectMapper.updateByPrimaryKeySelective(tabProject);
    }

    @Override
    public Integer delProject(Integer projectId) {
        TabProject tabProject = new TabProject();
        tabProject.setProjectId(projectId);
        tabProject.setStatus(GlobalInfo.DATA_STATUS_DELETE);
        return tabProjectMapper.updateByPrimaryKeySelective(tabProject);
    }

    @Override
    public Page<TabProject> listProject(ProjectDTO projectDTO, Integer pageNum, Integer pageSize) {
        PageHelper.startPage(pageNum, pageSize);
        return tabProjectMapper.listProject(projectDTO);
    }

    @Override
    public boolean validProjectNameIsRepeat(String projectName, Integer projectId) {
        ProjectDTO projectDTO = new ProjectDTO();
        projectDTO.setProjectName(projectName);
        projectDTO.setProjectId(projectId);
        TabProject project = tabProjectMapper.getFirstProject(projectDTO);
        return project != null;
    }

    @Override
    public TabProject getById(Integer projectId) {
        TabProject project = tabProjectMapper.selectByPrimaryKey(projectId);
        if (project != null && project.getStatus() == GlobalInfo.DATA_STATUS_NORMAL) {
            return project;
        }
        return null;
    }

    @Override
    public List<TabProject> listAllProject() {
        return tabProjectMapper.listProject(new ProjectDTO());
    }

    @Override
    public TabProject getProjectByProjectItem(Integer projectItemId) {
        TabProjectItem projectItem = tabProjectItemMapper.selectByPrimaryKey(projectItemId);
        return tabProjectMapper.selectByPrimaryKey(projectItem.getProjectId());
    }
}
