package com.gic.enterprise.service.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.enterprise.dao.mapper.TabWmMemberCardConfigMapper;
import com.gic.enterprise.dto.WmMemberCardConfigDTO;
import com.gic.enterprise.entity.TabWmMemberCardConfig;
import com.gic.enterprise.service.WmMemberCardConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

@Service("wmMemberCardConfigService")
public class WmMemberCardConfigServiceImpl implements WmMemberCardConfigService{
    @Autowired
    private TabWmMemberCardConfigMapper tabWmMemberCardConfigMapper;

    @Override
    public Integer saveWmMemberCardConfig(WmMemberCardConfigDTO dto) {
        Date now = new Date();
        dto.setUpdateTime(now);
        dto.setCreateTime(now);
        dto.setStatus(1);
        TabWmMemberCardConfig record = EntityUtil.changeEntityNew(TabWmMemberCardConfig.class, dto);
        tabWmMemberCardConfigMapper.insert(record);
        return record.getMemberCardConfigId();
    }

    @Override
    public void updateWmMemberCardConfig(WmMemberCardConfigDTO dto) {
        dto.setUpdateTime(new Date());
        TabWmMemberCardConfig record = EntityUtil.changeEntityNew(TabWmMemberCardConfig.class, dto);
        tabWmMemberCardConfigMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public TabWmMemberCardConfig getByWmMainAccount(String wmMainAccount) {
        return tabWmMemberCardConfigMapper.getByWmMainAccount(wmMainAccount);
    }
}
