package com.gic.enterprise.utils;

import com.gic.enterprise.constant.SmsAppEnum;
import com.gic.enterprise.constant.SmsTypeEnum;
import com.gic.marketing.process.api.utils.NoticeConstant;
import org.apache.commons.lang3.StringUtils;

import java.util.HashMap;
import java.util.Map;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-03-31 14:42
 */
public class SmsUtils {

    private SmsUtils() { }

    public static Map<String, String> noticeMap = new HashMap<>();
    static {
        // 小程序验证码  ---->   会员开卡
        noticeMap.put(NoticeConstant.NOTICE_WXA_VERIFY_CODE, SmsAppEnum.MEMBER_OPEN_CARD.getCode());
        // 会员开卡  ---->   会员开卡
        noticeMap.put(NoticeConstant.NOTICE_MEMBER_OPEN_CARD, SmsAppEnum.MEMBER_OPEN_CARD.getCode());
        // 微商城发货  ---->   微商城
        noticeMap.put(NoticeConstant.NOTICE_MALL_ORDER_DELIVERY, SmsAppEnum.GIC_MALL.getCode());
        // 微商城订单待付款  ---->   微商城
        noticeMap.put(NoticeConstant.NOTICE_MALL_ORDER_PAY, SmsAppEnum.GIC_MALL.getCode());
        // 微商城取消订单  ---->   微商城
        noticeMap.put(NoticeConstant.NOTICE_MALL_ORDER_CLOSE, SmsAppEnum.GIC_MALL.getCode());
        // 积分商城发货  ---->   积分商城
        noticeMap.put(NoticeConstant.NOTICE_INTEGRAL_ORDER_DELIVERY, SmsAppEnum.GIC_INTEGRAL.getCode());
        // 积分商城待付款  ---->   积分商城
        noticeMap.put(NoticeConstant.NOTICE_INTEGRAL_ORDER_PAY, SmsAppEnum.GIC_INTEGRAL.getCode());
        // 积分商城取消订单  ---->   积分商城
        noticeMap.put(NoticeConstant.NOTICE_INTEGRAL_ORDER_CLOSE, SmsAppEnum.GIC_INTEGRAL.getCode());
    }

    public static String getAppCode(String noticeCode) {
//        noticeMap.getOrDefault()
        String appCode = noticeMap.get(noticeCode);
        if (StringUtils.isBlank(appCode)) {
            return SmsAppEnum.OTHER.getCode();
        } else {
            return appCode;
        }
    }

    public static Integer getCodeByNoticeCode(String noticeCode) {
        if (StringUtils.isBlank(noticeCode)) {
            return SmsTypeEnum.MARKETING.getCode();
        }
        if (NoticeConstant.PARAMS_VERIFY_CODE.equals(noticeCode)) {
            return SmsTypeEnum.AUTH_CODE.getCode();
        } else {
            return SmsTypeEnum.NOTICE.getCode();
        }
    }



}
