package com.gic.enterprise.web.vo;

import com.gic.commons.util.DateUtil;
import com.gic.enterprise.constant.BuyTypeEnum;
import com.gic.enterprise.constant.PayTypeEnum;

import java.io.Serializable;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * 未开票列表
 * @ClassName: BillListVO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/15 2:59 PM 
 */
public class BillListVO implements Serializable{
    private static final long serialVersionUID = -3737832047382825129L;

    /**
     * 支付流水号
     */
    private String serialNumber;

    /**
     * 支付方式 1微信 2支付宝 3.线下支付  4余额支付
     */
    private Integer payType;
    /**
     * 支付方式名称
     */
    private String payTypeStr;

    /**
     * 支付完成时间  （到账时间）
     */
    private String timeEnd;

    private Date timeEndDate;
    /**
     * 实付金额
     */
    private Double totalFeePaid;
    /**
     * 购买类型 1:商户余额充值 2:短信套餐包购买
     */
    private Integer buyType;
    /**
     * 为开票单据生成方式名称
     */
    private String buyTypeStr;

    public String getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public String getPayTypeStr() {
        return PayTypeEnum.getMessageByCode(payType);
    }

    public String getTimeEnd() {
        return timeEnd;
    }

    public void setTimeEnd(String timeEnd) {
        this.timeEnd = timeEnd;
    }

    public Double getTotalFeePaid() {
        return totalFeePaid;
    }

    public void setTotalFeePaid(Double totalFeePaid) {
        this.totalFeePaid = totalFeePaid;
    }

    public void setBuyType(Integer buyType) {
        this.buyType = buyType;
    }

    public String getBuyTypeStr() {
        return BuyTypeEnum.getMessageByCode(buyType);
    }

    public Date getTimeEndDate() {
        SimpleDateFormat format = new SimpleDateFormat(DateUtil.FORMAT_DATETIME_14);
        try {
            return format.parse(timeEnd);
        } catch (ParseException e) {
            e.printStackTrace();
        }
        return null;
    }
}
