package com.gic.operation.web.controller;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.util.EntityUtil;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.enterprise.dto.ProjectItemDTO;
import com.gic.enterprise.qo.ProjectItemQO;
import com.gic.enterprise.service.ProjectItemApiService;
import com.gic.enterprise.utils.ResultControllerUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-09-18 9:20
 */
@RestController
public class ProjectItemController {

    @Autowired
    private ProjectItemApiService projectItemApiService;

    @RequestMapping("/save-project-item")
    public RestResponse saveProjectItem(@Validated({ProjectItemQO.SaveValid.class}) ProjectItemQO projectItemQO) {
        ProjectItemDTO projectItemDTO = EntityUtil.changeEntityByJSON(ProjectItemDTO.class, projectItemQO);
        ServiceResponse<Integer> serviceResponse = projectItemApiService.saveOrUpdateProjectItem(projectItemDTO);
        return ResultControllerUtils.commonResult(serviceResponse);
    }

    @RequestMapping("/del-project-item")
    public RestResponse delProjectItem(@Validated({ProjectItemQO.DelValid.class}) ProjectItemQO projectItemQO) {
        ServiceResponse<Integer> serviceResponse = projectItemApiService.delProjectItem(projectItemQO.getProjectItemId());
        return ResultControllerUtils.commonResult(serviceResponse);
    }

    @RequestMapping("/list-project-item")
    public RestResponse listProjectItem(@Validated({ProjectItemQO.ListValid.class}) ProjectItemQO projectItemQO) {
        ServiceResponse<Page<ProjectItemDTO>> serviceResponse = projectItemApiService.listProjectItem(projectItemQO);
        return ResultControllerUtils.commonResult(serviceResponse);
    }

}
